List Receipt Lines
Get all receipt lines, with pagination data
Authentication
X-Auth-Tokenstring
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
X-Store-Hashstring
Query parameters
offset
Pagination offset default: 0
limit
Pagination limit default: 10
orderBy
Allow: ‘DESC’, ‘ASC’
Allowed values:
paymentStatus[]
Payment processing status. 0 means ‘Incomplete’ status, 1 means ‘Awaiting Processing’ status, 2 means ‘Processing’ status, 3 means ‘Completed’ status, 4 means ‘Refunded’ status
Allowed values:
q
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
searchBy
The response search by which field
sortBy
The response sorted by which field
Response
OK
code
data
meta